Fix FTBFS on sparc

Bug #523627 reported by Micah Gersten on 2010-02-18
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
seamonkey (Ubuntu)
Low
Micah Gersten
Lucid
Low
Unassigned
Maverick
Low
Micah Gersten
thunderbird (Ubuntu)
Low
Micah Gersten
Lucid
Undecided
Unassigned
Maverick
Low
Micah Gersten

Bug Description

Binary package hint: thunderbird

See Bug #411439 and https://bugzilla.mozilla.org/show_bug.cgi?id=502369 for more information. The solution is to disable jit until the upstream bug is fixed.

Micah Gersten (micahg) on 2010-02-18
Changed in thunderbird (Ubuntu):
importance: Undecided → Low
status: New → Triaged
assignee: nobody → Micah Gersten (micahg)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package thunderbird - 3.0.1+nobinonly-0ubuntu1

---------------
thunderbird (3.0.1+nobinonly-0ubuntu1) lucid; urgency=low

  * New upstream release v3.0.1 (THUNDERBIRD_3_0_1_RELEASE)
    - fix LP: #257483 - thunderbird-bin crashed with Badwindow Error
    - fix LP: #499603 - thunderbird-bin crashed with SIGSEGV when trying to
                        Edit as New

  * Fix FTBFS on Sparc by disabling jit (LP: #523627)
    - update debian/rules
  * Drop cairo FTBFS patch after upstream landing
    - drop debian/patches/bz466250_att349521_fix_ftbfs_with_cairo_fb.patch
    - update debian/series
 -- Micah Gersten <email address hidden> Sun, 21 Feb 2010 12:15:33 -0600

Changed in thunderbird (Ubuntu):
status: Triaged → Fix Released
Micah Gersten (micahg) on 2010-05-06
Changed in seamonkey (Ubuntu):
assignee: nobody → Micah Gersten (micahg)
importance: Undecided → Low
status: New → Triaged
Chris Coulson (chrisccoulson) wrote :

For seamonkey, this will be resolved in Lucid when we do the 2.0.5 rollout, but will probably not be uploaded to Maverick until we return from UDS

Changed in thunderbird (Ubuntu Lucid):
status: New → Fix Released
Changed in seamonkey (Ubuntu Maverick):
status: Triaged → Fix Committed
Changed in seamonkey (Ubuntu Lucid):
status: New → Fix Committed
importance: Undecided → Low
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package seamonkey - 2.0.5+build1+nobinonly-0ubuntu1

---------------
seamonkey (2.0.5+build1+nobinonly-0ubuntu1) maverick; urgency=low

  * New upstream release v2.0.5 (SEAMONKEY_2_0_5_BUILD1)
  * MFSA 2010-25: Re-use of freed object due to scope confusion
    - CVE-2010-1121
  * MFSA 2010-26: Crashes with evidence of memory corruption
    - CVE-2010-1200
    - CVE-2010-1201
    - CVE-2010-1202
  * MFSA 2010-27: Use-after-free error in nsCycleCollector::MarkRoots()
    - CVE-2010-0183
  * MFSA 2010-28: Freed object reuse across plugin instances
    - CVE-2010-1198
  * MFSA 2010-29: Heap buffer overflow in nsGenericDOMDataNode::SetTextInternal
    - CVE-2010-1196
  * MFSA 2010-30: Integer Overflow in XSLT Node Sorting
    - CVE-2010-1199
  * MFSA 2010-31: focus() behavior can be used to inject or steal keystrokes
    - CVE-2010-1125
  * MFSA 2010-32: Content-Disposition: attachment ignored if Content-Type:
    multipart also present
    - CVE-2010-1197
  * MFSA 2010-33: User tracking across sites using Math.random()
    - CVE-2008-5913

  * Fix FTBFS on Sparc by disabling jit (LP: #523627)
    - update debian/rules
 -- Micah Gersten <email address hidden> Fri, 02 Jul 2010 12:38:48 -0500

Changed in seamonkey (Ubuntu Maverick):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package seamonkey - 2.0.5+build1+nobinonly-0ubuntu0.10.04.1

---------------
seamonkey (2.0.5+build1+nobinonly-0ubuntu0.10.04.1) lucid-security; urgency=low

  * New upstream release v2.0.5 (SEAMONKEY_2_0_5_BUILD1)
  * MFSA 2010-25: Re-use of freed object due to scope confusion
    - CVE-2010-1121
  * MFSA 2010-26: Crashes with evidence of memory corruption
    - CVE-2010-1200
    - CVE-2010-1201
    - CVE-2010-1202
  * MFSA 2010-27: Use-after-free error in nsCycleCollector::MarkRoots()
    - CVE-2010-0183
  * MFSA 2010-28: Freed object reuse across plugin instances
    - CVE-2010-1198
  * MFSA 2010-29: Heap buffer overflow in nsGenericDOMDataNode::SetTextInternal
    - CVE-2010-1196
  * MFSA 2010-30: Integer Overflow in XSLT Node Sorting
    - CVE-2010-1199
  * MFSA 2010-31: focus() behavior can be used to inject or steal keystrokes
    - CVE-2010-1125
  * MFSA 2010-32: Content-Disposition: attachment ignored if Content-Type:
    multipart also present
    - CVE-2010-1197
  * MFSA 2010-33: User tracking across sites using Math.random()
    - CVE-2008-5913

  * Fix FTBFS on Sparc by disabling jit (LP: #523627)
    - update debian/rules
 -- Micah Gersten <email address hidden> Thu, 06 May 2010 11:18:16 -0500

Changed in seamonkey (Ubuntu Lucid):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers